Package logilab :: Package common :: Module configuration :: Class OptionsManager2ConfigurationAdapter

[frames] | no frames]

# Class OptionsManager2ConfigurationAdapter

source code

    object --+
             |
            OptionsManager2ConfigurationAdapter

    Adapt an option manager to behave like a
    `logilab.common.configuration.Configuration` instance

Instance Methods

__init__(self, provider) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__getattr__(self, key) | source code

__getitem__(self, key) | source code

__setitem__(self, key, value) | source code

get(self, key, default=None) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, provider)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)